org.w3._2000._09.xmldsig

## Class RSAKeyValue

- java.lang.Object
- - org.w3._2000._09.xmldsig.RSAKeyValue

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:48:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class RSAKeyValue
      extends Object
      implements Serializable

  Java class for RSAKeyValueType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RSAKeyValueType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Modulus" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
               <element name="Exponent" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAKeyValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getExponent()` Gets the value of the exponent property.
    `byte[]` | `getModulus()` Gets the value of the modulus property.
    `void` | `setExponent(byte[] value)` Sets the value of the exponent property.
    `void` | `setModulus(byte[] value)` Sets the value of the modulus property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSAKeyValue

          public RSAKeyValue()

  - ### Method Detail

    - #### getModulus

          public byte[] getModulus()

      Gets the value of the modulus property.
      Returns:
        possible object is byte[]

    - #### setModulus

          public void setModulus(byte[] value)

      Sets the value of the modulus property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getExponent

          public byte[] getExponent()

      Gets the value of the exponent property.
      Returns:
        possible object is byte[]

    - #### setExponent

          public void setExponent(byte[] value)

      Sets the value of the exponent property.
      Parameters:
        `value` - allowed object is byte[]

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.